package com.template.service.impl;

import com.template.domain.CarType;
import com.template.domain.SysCar;
import com.template.domain.resp.CarTypeResp;
import com.template.mapper.CarMapper;
import com.template.service.CarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.template.service.impl
 * @Project：cloud-server
 * @name：CarServiceImpl
 * @Date：2024/9/21 9:26
 */
@Service
public class CarServiceImpl implements CarService {

    @Autowired
    private CarMapper carMapper;


    @Override
    public SysCar findCarByVin(String carVin) {
        return carMapper.findCarByVin(carVin);
    }

    @Override
    public CarType findCarTypeById(Long carTypeId) {
        return carMapper.carMapper(carTypeId);
    }

    @Override
    public List<CarTypeResp> findAllCars() {
        return carMapper.findAllCars();
    }


}
